<?php
class Reservas extends Controller {

	function __construct()
	{
		parent::Controller();
	
	}
	
	function index() {
	
		$datos['error'] = 1;
		$datos['tipo_error'] = "Specifies a function to your reservation request has.";
		echo json_encode($datos);
	}
	
	
	
	function datosReserva($num_reserva=false,$dni=false,$response=false) {
	
		if ($response) {
			list($funcion,$response) = explode("=",$response);
		} else {exit();}
	
		if (!$num_reserva) {
			$datos_error = array();
			$datos_error['error'] = 1;
			$datos_error['tipo_error'] = "You have not specified a booking";
			echo $response."(".json_encode($datos_error).")";
			exit();
		}
		if (!$dni) {
			$datos_error = array();
			$datos_error['error'] = 1;
			$datos_error['tipo_error'] = "No ha especificado un DNI válido";
			echo $response."(".json_encode($datos_error).")";
			exit();
		}
		
		
		
		//seleccionamos datos con el número de Reservas
		/*
		CLIENTE_RES1;FECHA_RES1;CONTRATO_RES1;PRESUPUESTO_RES1
		*/
		$consulta = "SELECT TOP 1 CLIENTE_RES1,FECHA_RES1,CONTRATO_RES1,PRESUPUESTO_RES1,TARIFA_RES1 FROM RESERVAS1 WHERE NUMERO_RES='$num_reserva'";
		$query = $this->db->query($consulta);
		
		if (is_object($row = $query->row())) {
		
		
		
		$query->free_result();
		
		$datos = array(
		'CLIENTE_RES1' 		=> $row->CLIENTE_RES1,
		'FECHA_RES1' 		=> $row->FECHA_RES1,
		'CONTRATO_RES1' 	=> $row->CONTRATO_RES1,
		'PRESUPUESTO_RES1' 	=> $row->PRESUPUESTO_RES1,
		'TARIFA_RES1' 		=> $row->TARIFA_RES1,
		'NUM_RESERVA'		=> ''.$num_reserva.'');
		
		//tambien sacamos la descripción de la tarifa
		$consulta = "SELECT TOP 1 NOMBRE FROM NTARI WHERE CODIGO='".$datos['TARIFA_RES1']."'";
		$query = $this->db->query($consulta);
		$row = $query->row();
		$query->free_result();
		
		$datos['DESC_TARI'] = $row->NOMBRE;
		
		//sacamos los datos del cobro
		$consulta = "SELECT TOP 1 BASEI_RES2, TIIVA_RES2, IVA_RES2, TOLON_RES2 FROM RESERVAS2 WHERE NUMERO_RES='$num_reserva'";
		$query = $this->db->query($consulta);
		$row = $query->row();
		$query->free_result();
		
		$datos['BASEI_RES2'] = $row->BASEI_RES2;
		$datos['TIIVA_RES2'] = $row->TIIVA_RES2;
		$datos['IVA_RES2'] = $row->IVA_RES2;
		$datos['TOLON_RES2'] = $row->TOLON_RES2;
		
		
		
		//Seleccionamos datos del cliente:
		$consulta = "SELECT TOP 1 NOMBRE,DIRECCION,POBLACION,PROVINCIA,NIF,CP,TELEFONO FROM CLIENTES1 WHERE NUMERO_CLI='".$datos['CLIENTE_RES1']."' ";
		$query = $this->db->query($consulta);
		$row = $query->row();
		$query->free_result();
		
		$datos['NOMBRE'] = $row->NOMBRE;
		$datos['DIRECCION'] = $row->DIRECCION;
		$datos['POBLACION'] = $row->POBLACION;
		$datos['PROVINCIA'] = $row->PROVINCIA;
		$datos['NIF'] = $row->NIF;
		$datos['CP'] = $row->CP;
		$datos['TELEFONO'] = $row->TELEFONO;
		
		//comprobamos que el dni coincide
		if (url_title($datos['NIF'])!=url_title($dni)) {
			$datos_error = array();
			$datos_error['error'] = 1;
			$datos_error['tipo_error'] = "No coincide el localizador con el dni indicado";
			echo $response."(".json_encode($datos_error).")";
			exit();
		}
		
		
		//sacamos el nombre de la provincia
		$consulta = "SELECT TOP 1 PROV FROM PROVINCIA WHERE SIGLAS='".$datos['PROVINCIA']."' ";
		$query = $this->db->query($consulta);
		$row = $query->row();
		$query->free_result();
		$datos['NOMBRE_PROVINCIA'] = $row->PROV;
		
		//sacamos otros posibles conceptos
		$consulta = "SELECT CONCEPTO, DESCCON, CANTIDAD, UNIDAD, PRECIO, SUBTOTAL
		FROM LIRESER
		WHERE ISNULL(INCLUIDO,0) <> 0 AND NUMERO = '".$num_reserva."'";
		$query = $this->db->query($consulta);
		$row = $query->result();
		$query->free_result();
		$datos['CONCEPTOS_FACTURABLES'] = $row;
		
		
		//si hay algún cobro también tendremos que añadirlo y restarlo
		$consulta = "SELECT FECHA,IMPORTE,CONCEPTO FROM COBROS WHERE RESERVA='".$num_reserva."'";
		$query = $this->db->query($consulta);
		$row = $query->result();
		$query->free_result();
		$datos['COBROS'] = $row;
		
		
		$datos['error'] = 0;
		
		echo $response."(".json_encode($datos).")";
		} else {
			$datos = array();
		$datos['error'] = 1;
		$datos['tipo_error'] = "No existe el localizador indicado.";
		echo $response."(".json_encode($datos).")";
		}
		
	}
	
	
	function updateReserva() {
		/*
		NUMERO=&
		RESERVA=".$row->num_reserva."&
		FECHA=".$row->ult_modi."&
		IMPORTE=".$row->importe."&
		FORMA=2&
		CLIENTE=".$row->num_cliente."&
		SUBLICEN_CO=00
		*/
		if ($_POST['RESERVA']) {
										
									
								
					
						
					
				
				
			
			//seleccionamos el número mayor
			$consulta = "SELECT '00' + RIGHT('00000000' + CAST(MAX(ISNULL(CAST(RIGHT(NUMERO,8) AS INTEGER),0)+1) AS CHAR),8) AS NUM_COBRO
			FROM COBROS
			WHERE OFICINA_CO = 'C1'";
			$query = $this->db->query($consulta);
			$row = $query->row();
			
			$NUM_COBRO = $row->NUM_COBRO;
			$query->free_result();
			
			$RESERVA = $_POST['RESERVA'];
			list($fecha,$hora) = explode(" ",$_POST['FECHA']);
			
			$FECHA = $fecha;
			$IMPORTE = number_format(($_POST['IMPORTE'] / 100),2,'.','');
			$FORMA = 2; //TARJETA DE CRÉDITO / DÉBITO
			$CLIENTE = $_POST['CLIENTE'];
			$SUBLICEN_CO = '00';
			$consulta = "INSERT INTO COBROS (NUMERO,RESERVA,FECHA,IMPORTE,FORMA,USUARIO,CLIENTE,ULTMODI,CONCEPTO,OFICINA_CO,SUBLICEN_CO,MONEDA,HORA_COB) VALUES ('".$NUM_COBRO."','".$RESERVA."','".$FECHA."','".$IMPORTE."','".$FORMA."','WB','".$CLIENTE."','".standard_date('PERSO1')."','COBRO RESERVA TARJETA','C1','".$SUBLICEN_CO."','EUR','".standard_date('HORA')."')";
			$this->db->query($consulta);
			
		}

	}
	
}

/* End of file welcome.php */
/* Location: ./system/application/controllers/welcome.php */